> For the complete documentation index, see [llms.txt](https://docs.mydbsync.com/cloud-replication-main/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mydbsync.com/cloud-replication-main/v8/bigdata-support/archive-and-non-archive-mode.md).

# Archive and Non-archive Mode

* ***Archive mode of replication*** inserts a new record in Cassandra when the existing record is updated in Salesforce. This feature helps to maintain historical record.
* ***Non Archive mode of replication*** updates the existing record in Cassandra when the existing record is updated in Salesforce.

#### Switching between Archive and Non Archive mode: <a href="#archiveandnonarchivemode-switchingbetweenarchiveandnonarchivemode" id="archiveandnonarchivemode-switchingbetweenarchiveandnonarchivemode"></a>

To identify and change the mode of the replication, the below mentioned steps must be followed.

* Locate the properties file ***config.properties*** by accessing the Cassandra folder saved in the below path

&#x20;         Installation Folder (DBSyncCReplSF3) > dbsync-repl > WEB-INF > db > Cassandra

![](https://help.mydbsync.com/docs/download/attachments/53903679/image2021-6-9_21-21-22.png?version=1\&modificationDate=1623253922000\&api=v2)

* Open the file config.properites to indentify the command ***cassandra.archive=true*** or ***cassandra.archive=false***

![](https://help.mydbsync.com/docs/download/attachments/53903679/image2021-6-9_21-21-34.png?version=1\&modificationDate=1623253921000\&api=v2)

* ***cassandra.archive=true*** is for Archive mode of replication and ***cassandra.archive=false*** is for Non Archive mode of replication. Based on the requirement true or false must be used before running the replication in DBSync Replication tool.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mydbsync.com/cloud-replication-main/v8/bigdata-support/archive-and-non-archive-mode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
